> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agency Billing Plan



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json get /api/v1/agency/billing/{billing_plan_id}
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/agency/billing/{billing_plan_id}:
    get:
      tags:
        - Agency Billing
      summary: Get Agency Billing Plan
      operationId: get_agency_billing_plan_api_v1_agency_billing__billing_plan_id__get
      parameters:
        - name: billing_plan_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Billing Plan Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IGetResponseBase_IBillingPlanRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IGetResponseBase_IBillingPlanRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data retrieved successfully
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/IBillingPlanRead'
            - type: 'null'
      type: object
      title: IGetResponseBase[IBillingPlanRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IBillingPlanRead:
      properties:
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        bots_count:
          type: integer
          title: Bots Count
        queries_count:
          type: integer
          title: Queries Count
        words_count:
          type: integer
          title: Words Count
        voice_seconds:
          type: integer
          title: Voice Seconds
        premium_support:
          type: boolean
          title: Premium Support
        default_plan:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Default Plan
          default: false
        remove_branding:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Remove Branding
          default: false
        advanced_intents:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Advanced Intents
          default: false
        auto_intents:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Auto Intents
          default: false
        billing_plan_group:
          anyOf:
            - type: string
            - type: 'null'
          title: Billing Plan Group
        credits:
          additionalProperties: true
          type: object
          title: Credits
          default: {}
        attributes:
          additionalProperties: true
          type: object
          title: Attributes
          default: {}
        agency_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Agency Id
        id:
          type: string
          format: uuid
          title: Id
        user_count:
          type: integer
          title: User Count
          default: 0
        plan_lookup_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Plan Lookup Key
      type: object
      required:
        - name
        - description
        - bots_count
        - queries_count
        - words_count
        - voice_seconds
        - premium_support
        - id
      title: IBillingPlanRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````